Economic calendar
curl --request GET \
--url https://api.unusualwhales.com/api/market/economic-calendar \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.unusualwhales.com/api/market/economic-calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unusualwhales.com/api/market/economic-calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"event": "Consumer sentiment (final)",
"forecast": "69.4",
"prev": "69.4",
"reported_period": "December",
"time": "2023-12-22T15:00:00.000Z",
"type": "report"
},
{
"event": "PCE index",
"forecast": null,
"prev": "0.0%",
"reported_period": "November",
"time": "2023-12-22T13:30:00.000Z",
"type": "report"
}
]
}{
"code": "authentication_required",
"documentation_url": "https://api.unusualwhales.com/docs",
"expected_format": "uuid",
"message": "The API token provided is not in the expected format. Unusual Whales API tokens are UUIDs, such as 123e4567-e89b-12d3-a456-426614174000.",
"reason": "malformed_token",
"request_id": "GNI_YTC1CRnw2LACGBvE",
"retryable": false,
"support_email": "[email protected]",
"token_url": "https://unusualwhales.com/dashboard/api"
}{
"code": "missing_access",
"documentation_url": "https://api.unusualwhales.com/docs",
"message": "The API token provided is valid but is not permitted to access this route.",
"reason": "route_not_permitted",
"request_id": "GNI_YTC1CRnw2LACGBvE",
"retryable": false,
"support_email": "[email protected]",
"token_url": "https://unusualwhales.com/dashboard/api"
}"Something went wrong"market
Economic calendar
Returns the economic calendar.
GET
/
api
/
market
/
economic-calendar
Economic calendar
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Economic Calendar response
The economic calendar for the current & next week
The event/reason. Can be a fed speaker or an economic report/indicator
Example:
"PCE index"
The forecast if the event is an economic report/indicator
Example:
"69.4"
The previous value of the preceding period if the event is an economic report/indicator
Example:
"69.4"
The period for that the economic report/indicator is being reported.
Example:
"December"
The time at which the event will start as UTC timestamp.
Example:
"2023-12-22T13:30:00.000Z"
The type of the event
Available options:
fed-speaker, fomc, report Example:
"fomc"
Last modified on September 29, 2026
Was this page helpful?
